You are not logged in.

Announcement

The recovered forum pages can be found here.
Bugs can be entered here, anyone can open an account now.

#1 2019-11-22 02:50:20

Lenix
Member
Registered: 2019-11-22
Posts: 2

[SOLVED] Package architecture not valid when using pacstrap

Hello,
I am currently trying to install Archlinux32 on my Thinkpad t60, but whenever I try pacstrap, I get the following error:

 error: failed to prepare transaction (package architecture is not valid)
:: package linux-5.3.10.1-1.0-i686 does not have a valid architecture
==> ERROR: Failed to install packages to new root

I believe the problem is that the system keeps trying to install i686 packages on a pentium4 system, but I'm not exactly sure how to force pacstrap to install pentium4 packages.

If any of you guys could help me, that would be great. Additionally, if this post belongs somewhere else, please let me know, as this is my first forum post here.

My environment is as follows:
IBM Thinkpad t60p
Intel Centrino Duo (i686 architecture I believe) T2400 @ 1.83ghz


Thanks!

Last edited by Lenix (2019-11-22 23:34:20)

Offline

#2 2019-11-22 10:16:02

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 14
Website

Re: [SOLVED] Package architecture not valid when using pacstrap

pacman detects that you have a system being able to run the pentium4 packages, but on the ISO is i686 only. So you have to set 'Architecture=pentium4' in
'/etc/pacman.conf' (there is a 'Architecture=i686' on the ISO most likely). Then pacstrap should install a pentium4 version.

Offline

#3 2019-11-22 18:07:56

levi
Administrator
Registered: 2019-11-16
Posts: 23

Re: [SOLVED] Package architecture not valid when using pacstrap

Wouldn't it be more preferable if the iso shipped a pacman.conf that had an Architecture=auto line in it, or would that create other problems I've not though of?

Offline

#4 2019-11-22 19:22:55

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 14
Website

Re: [SOLVED] Package architecture not valid when using pacstrap

With auto you can not install software onto the ram disk which is based on the ISO (because there we ship only 686). That's the only drawback I can think of.

Offline

#5 2019-11-22 21:27:51

levi
Administrator
Registered: 2019-11-16
Posts: 23

Re: [SOLVED] Package architecture not valid when using pacstrap

Hmm, certainly on machines I've installed archlinux on I've not installed any software before running arch-chroot, but I don't use graphics cards on my machines, which I guess might make it necessary to install unfree drivers early on.

Offline

#6 2019-11-22 23:32:46

Lenix
Member
Registered: 2019-11-22
Posts: 2

Re: [SOLVED] Package architecture not valid when using pacstrap

Thank you guys for the quick reply!
So far, the initial pacstrap package install is working, I will update this further if I run into any more issues.
Again, Thanks for the help!

Offline

#7 2019-11-23 22:46:35

deep42thought
Administrator
From: Jena, Germany
Registered: 2019-11-14
Posts: 10
Website

Re: [SOLVED] Package architecture not valid when using pacstrap

Just for clarification: The iso does not ship with Architecture=i686, it has Architecture=auto.

Offline

#8 2019-11-23 23:14:33

levi
Administrator
Registered: 2019-11-16
Posts: 23

Re: [SOLVED] Package architecture not valid when using pacstrap

Hmm, then it doesn't make sense to me that changing that to Architecure=pentium4 on a machine that supports pentium4 to me at least.  Still, if it works, no complaints from me.

Offline

Board footer

Powered by FluxBB